import requests
requests.packages.urllib3.disable_warnings() 
from icecream import ic

uc = 'community-prediction-youtube'

def httpget(url):
    token = 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VybmFtZSI6InJlZ3VsYXJAaXRlYy5hYXUuYXQiLCJjcmVhdGVkX2F0IjoiMjAyMS0wNS0wNSAxMTozNjozOC4yMzAxODEiLCJ2YWxpZF91bnRpbCI6IjIwMjEtMDUtMDYgMTE6MzY6MzguMjMwMTgxIn0.Fz6iPpA0CnrXlOCj-VuCHFzc58H9Of2cBYHOb_RqvzI'
    res = requests.get(url, 
                    verify=False, 
                    headers = { "Authorization": f"Bearer {token}"})
    return res

# list tables
res = httpget(url = f'https://articonf1.itec.aau.at:30420/api/use-cases/{uc}/tables')
print("Tables: ", [entry['name'] for entry in res.json()])

# count pushed data
def count_data(json_res, table_identifier='table'):
    tables = {}
    for entry in json_res:
        key = entry[table_identifier]
        if key not in tables:
            tables[key] = 0
        tables[key] += 1
    ic(tables)

res = httpget(url = f'https://articonf1.itec.aau.at:30001/api/use_cases/{uc}/transactions')
count_data(res.json())

res_f = httpget(url = f'https://articonf1.itec.aau.at:30001/api/use_cases/{uc}/transactions-failed')
count_data(res_f.json(), 'docType')

res_d = httpget(url = f'https://articonf1.itec.aau.at:30001/api/use_cases/{uc}/transactions-duplicated')
count_data(res_d.json())